%define release %mkrel 1

%define nameorig xcircuit
%define version 3.4.26

Summary: Electronic circuit schematic drawing program
Name: %{nameorig}-tcl
Version: %{version}
Release: %{release}
License: GPL
Group: Sciences/Other
Source0: 	%{nameorig}-%{version}.tar.bz2
Source1:	%{nameorig}.16.png
Source2:	%{nameorig}.32.png
Source3:	%{nameorig}.48.png
URL: http://opencircuitdesign.com/xcircuit
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: tcl >= 8.4.11 tk >= 8.4.11
BuildRequires: tcl-devel >= 8.4.11 tk-devel >= 8.4.11
BuildRequires: libxpm-devel
BuildRequires: X11-devel
Obsoletes: %{nameorig} %{nameorig}-python
Provides: %{nameorig} %{nameorig}-python

%description
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.  Output
is PostScript.  TCL scripting is available.

%prep
%setup -q -n %{nameorig}-%{version}

%build
%configure --with-tcl --with-tcllibs=%{_libdir} --with-tklibs=%{_libdir}
%make tcl

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="More Applications/Sciences/Electricity" \
title="XCircuit" \
longtitle="Electronic circuit schematic drawing program" \
command="/usr/bin/xcircuit" needs="X11" \
icon="%{name}.png"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=XCircuit
Comment=%{summary}
Exec=%{_bindir}/xcircuit
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Electricity;Science;Electronics;
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

chmod 644 $RPM_BUILD_ROOT/%{_prefix}/lib/xcircuit-3.4/console.tcl

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README README.notes README.ISOLatin2 lib/pixmaps/xcircuit.xpm
%{_bindir}/xcircuit
%{_prefix}/lib/xcircuit-3.4
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/%{name}
%{_datadir}/applications/*.desktop

%changelog
* Thu Aug 24 2006 Couriousous <couriousous@mandriva.org> 3.4.26-1mdv2007.0
- 3.4.26
- XDG

* Mon Apr 17 2006 Couriousous <couriousous@mandriva.org> 3.4.21-1mdk
- 3.4.21

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.38-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Fri Sep 30 2005 Couriousous <couriousous@mandriva.org> 3.3.38-1mdk
- 3.3.38
- Fix x86_64 build
- Since this package is a simple program and not a library
  There is no need to force use of %%{_libdir}

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.3.29-2mdk
- Fix BuildRequires

* Sun Jul 24 2005 Couriousous <couriousous@mandriva.org> 3.3.29-1mdk
- 3.3.29
- From: Torbjorn Turpeinen <tobbe@nyvalls.se>:
	- 3.3.25
	- Built for cooker

* Fri Apr 01 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.12-1.mdk10.2.thac
- Rebuilt for Mandrake 10.2
- Updated to latest version

* Thu Dec 16 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.4-1.mdk10.1.thac
- Updated to latest version

* Sat Dec 04 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.2-1.mdk10.1.thac
- Updated to latest version

* Wed Oct 26 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.3.0-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Fri Oct 08 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.3.0-1thac
- Updated to latest version

* Wed Sep 29 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.27-1thac
- Updated to latest version

* Tue Sep 14 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.26-1thac
- Updated to latest version

* Wed Sep 01 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.24-1thac
- Updated to latest version

* Tue Jun 21 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.22-1thac
- Updated to latest version

* Thu Jun 03 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.21-1thac
- Updated to latest version

* Sun May 02 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.16-1thac
- Updated to latest version

* Fri Apr 23 2004 Torbjorn Turpeinen <tobbe@ntvalls.se> 3.2.15-2thac
- Rebuilt for Mandrake 10.0 official.

* Tue Apr 05 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.15-1thac
- Updated to latest version

* Fri Mar 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 3.2.14-1thac
- Built for Mandrake 9.2
